# frozen_string_literal: true
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: pkg/constraint/constraint.proto

require 'google/protobuf'

require 'buf/validate/validate_pb'


descriptor_data = "\n\x1fpkg/constraint/constraint.proto\x12\x17gitlab.agent.constraint\x1a\x1b\x62uf/validate/validate.proto:\xac\x01\n\ris_agent_name\x12\x19.buf.validate.StringRules\x18\xea\xe3\x0b \x01(\x08\x42k\xc2Hh\nf\n\x14string.is_agent_name\x12\x12invalid agent name\x1a:!rule || this.matches(\'^[a-z0-9](?:[-a-z0-9]*[a-z0-9])?$\')R\x0bisAgentNameBKZIgitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/constraintb\x08\x65\x64itionsp\xe8\x07"

pool = Google::Protobuf::DescriptorPool.generated_pool
pool.add_serialized_file(descriptor_data)

module Gitlab
  module Agent
    module Constraint
    end
  end
end
